from abc import ABC, abstractmethod

class BaseStorage(ABC):
    @abstractmethod
    def upload_file(self, file, file_name, direct_stream=False): ...
    @abstractmethod
    def list_stored_files(self): ...
    @abstractmethod
    def get_file_by_id(self, file_id): ...
    @abstractmethod
    def check_if_exists(self, file_id): ...
    @abstractmethod
    def download_file(self, drive_ref=None): ...
    @abstractmethod
    def delete_file(self, file_id): ...